<!DOCTYPE html>
<html>
    <head>
        <title>Chatbot Widget</title>

        <!--Let browser know website is optimized for mobile-->
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
        <meta content="utf-8" http-equiv="encoding" />
        <!--<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
        -->
        <!--Import Google Icon Font-->
        <link
          href="https://fonts.googleapis.com/icon?family=Material+Icons"
          rel="stylesheet"
        />
        <link rel="preconnect" href="https://fonts.gstatic.com" />
        <link
          href="https://fonts.googleapis.com/css2?family=Open+Sans&display=swap"
          rel="stylesheet"
        />
        <link
          href="https://fonts.googleapis.com/css?family=Raleway:500&display=swap"
          rel="stylesheet"
        />

        <link rel="preconnect" href="https://fonts.gstatic.com" />
        <link
          href="https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap"
          rel="stylesheet"
        />

        <link rel="preconnect" href="https://fonts.gstatic.com" />
        <link
          href="https://fonts.googleapis.com/css2?family=Lato&display=swap"
          rel="stylesheet"
        />

        <!--Import Font Awesome Icon Font-->
        <link
          rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
          integrity="sha256-eZrrJcwDc/3uDhsdt61sL2oOBY362qM3lon1gyExkL0="
          crossorigin="anonymous"
        />

        <!--Import materialize.css-->
        <link
          rel="stylesheet"
          type="text/css"
          href="static/css/materialize.min.css"
        />

        <!--Main css-->
        <link rel="stylesheet" type="text/css" href="static/css/style.css" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />

    </head>
    <body>

        <!-- line of breaks to show the widget behavior while scrolling-->
        <br><br><br><br><br><br><br><br><br><br><br><br><br>
        <br><br><br><br><br><br><br><br><br><br><br><br><br>
        <br><br><br><br><br><br><br><br><br><br><br><br><br>
        <br><br><br><br><br><br><br><br><br><br><br><br><br>
        <br><br><br><br><br><br><br><br><br><br><br><br><br>
        <br><br><br><br><br><br><br><br><br><br><br><br><br>
        <br><br><br><br><br><br><br><br><br><br><br><br><br>
        <br><br><br><br><br><br><br><br><br><br><br><br><br>
        <br><br><br><br><br><br><br><br><br><br><br><br><br>
        <br><br><br><br><br><br><br><br><br><br><br><br><br>
        <br><br><br><br><br><br><br><br><br><br><br><br><br>
        <br><br><br><br><br><br><br><br><br><br><br><br><br>
        <br><br><br><br><br><br><br><br><br><br><br><br><br>



        <!-- start of the widget code-->
        <div id="container_whole_widget" class="container">
            <!-- Modal for rendering the charts, declare this if you want to render charts,
            else you remove the modal -->
            <div id="modal1" class="modal">
                <canvas id="modal-chart"></canvas>
            </div>
            <div class="globalWidget" style="display : inline-block;">
                <!--chatbot widget -->
                <div class="widget" id="widget">
                    <div class="chat_header">
                    <!--Add the name of the bot here -->
                        <div class="chat_header_title">MILBOT</div>
                        <span class="dropdown-trigger" href="#" data-target="dropdown1">
                            <i class="material-icons"> more_vert </i>
                        </span>

                        <!-- Dropdown menu-->
                        <ul id="dropdown1" class="dropdown-content">
                            <li><a href="#" id="close_menu">Close menu</a></li>
                            <li><a href="#" id="clear">Clear</a></li>
                            <li><a href="#" id="restart">Restart</a></li>
                            <!--<li><a href="#" id="close">Close</a></li>-->
                        </ul>
                    </div>

                    <!--Chatbot contents goes here -->
                    <div class="chats" id="chats">
                        <div class="clearfix"></div>
                    </div>

                    <!--keypad for user to type the message -->
                        <div class="keypad">
                            <textarea
                                id="userInput"
                                placeholder="Type a message..."
                                class="usrInput"
                            ></textarea>
                            <div id="sendButton">
                                <i class="fa fa-paper-plane" aria-hidden="true"></i>
                            </div>
                        </div>
                </div>
            </div>
            <!--bot profile-->

            <div id="container_toggle_widget">
                <div class="profile_div" id="profile_div">
                    <img class="imgToOpen" src="static/img/botAvatar.png" />
                    <img class="imgToClose" src="static/img/closeChat.png" />
                </div>
            </div>

            <!-- Bot pop-up intro -->
            <!--
            <div class="tap-target" data-target="profile_div">
                <div class="tap-target-content">
                    <h5 class="white-text">Hey there 👋</h5>
                    <p class="white-text">
                        I can help you get started with Rasa and answer your technical
                        questions.
                    </p>
                </div>
            </div>-->
        </div>

        <!--JavaScript at end of body for optimized loading-->

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <script
        type="text/javascript"
        src="static/js/lib/materialize.min.js"
        ></script>
        <script>

  $(document).ready(function(){
    $('.carousel').carousel({
    indicators: true
    });

  });
</script>
        <script>
            $(document).ready(function(){
    $('.collapsible').collapsible();
    });
        </script>
        <script src="static/js/lib/uuid.min.js"></script>
        <!--Main Script -->
        <script type="text/javascript" src="static/js/script.js"></script>

        <!--Chart.js Script -->
        <script type="text/javascript" src="static/js/lib/chart.min.js"></script>
        <script type="text/javascript" src="static/js/lib/showdown.min.js"></script>
    </body>
</html>